#ifndef RZB_COMPONENT_GLOBAL_H
#define RZB_COMPONENT_GLOBAL_H

#include "rzb_global.h"

typedef struct _BASIC_COMPONENT
{
    unsigned component_id;
    unsigned char md5[MD5_SIZE];
    unsigned size;
    uuid_t datatype;
} BASIC_COMPONENT;

typedef struct _SUB_COMPONENT_LIST
{
    unsigned sc_id;
    struct _SUB_COMPONENT_LIST *next;
} SUB_COMPONENT_LIST;

typedef struct _COMPONENT
{
    unsigned component_id;
    unsigned norm_id;
    unsigned char *data;
    unsigned size;
    unsigned char *norm;
    unsigned norm_size;
    unsigned char md5[SAFE_MD5_SIZE];
    unsigned char datatype[SIZE_OF_UUID_STRING];
    unsigned threat_flags;
    unsigned custom_flags;
    SUB_COMPONENT_LIST *sc_list;
} COMPONENT;

#endif /* RZB_COMPONENT_GLOBAL_H */

